openQA Tests - action #88436

[desktop][sle15sp3] test fails in windows_server_setup
2021-02-03 06:58 - zcjia

Status: Resolved Start date: 2021-02-03
Priority: Normal Due date:

Assignee: GraceWang % Done: 100%
Category: Bugs in existing tests Estimated time: 0.00 hour

Target version:

Difficulty:

Description

Observation
Make the test more robust:
Use 'assert_and_click' instead of 'send_key'.

openQA test in scenario sle-15-SP3-Online-x86_64-desktopapps-remote-desktop-xrdp-server1@64bit-virtio-vga fails in
windows_server_setup

Test suite description

Maintainer: gwang@suse.comwindows-10-x86_64-1511@64bit_win.qcow2

Reproducible

Fails since (at least) Build 139.1

Expected result

Last good: 133.1 (or more recent)

Further details

Always latest result in this scenario: latest

Related issues:
Related to openQA Tests - action #88455: [opensuse][desktop] windows_server_s... Resolved

History

#1 - 2021-02-19 02:38 - GraceWang

- Related to action #88455: [opensuse][desktop] windows_server_setup: need to adjust for various search results added
#2 - 2021-02-20 07:08 - okurz
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: desktopapps-remote-desktop-xrdp-server1
https://openga.suse.de/tests/5497848

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted

2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed

#3 - 2021-02-22 07:01 - zcjia

- Assignee changed from GraceWang to zcjia
https://openqa.suse.de/tests/5404718/modules/windows_server_setup/steps/2
mailto:gwang@suse.com
mailto:windows-10-x86_64-1511@64bit_win.qcow2
https://openqa.suse.de/tests/5398435
https://openqa.suse.de/tests/5350661
https://openqa.suse.de/tests/latest?arch=x86_64&distri=sle&flavor=Online&machine=64bit-virtio-vga&test=desktopapps-remote-desktop-xrdp-server1&version=15-SP3
https://openqa.suse.de/tests/5497848

#4 - 2021-02-22 07:02 - zcjia
- File Screenshot 20210222 _144215.png added

Sometimes the network setup command line is not typed correctly. Better to add a "sleep" before typing.
#5 - 2021-03-08 07:07 - okurz

This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: desktopapps-remote-desktop-xrdp-server1
https://openga.suse.de/tests/5613458

To prevent further reminder comments one of the following options should be followed:

1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed

#6 - 2021-03-10 06:15 - GraceWang

zcjia The window_server_setup still failed after the https:/github.com/os-autoinst/os-autoinst-distri-opensuse/pull/12096 got merged.

Please see https://openga.nue.suse.com/tests/56336144#step/windows_server_setup/2

#7 - 2021-03-11 01:18 - zcjia

As we discussed before, we should try more robust ways to launch remote desktop settings, for example, try to use "Win+R".
#8 - 2021-03-25 07:04 - okurz
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: desktopapps-remote-desktop-xrdp-server2
https: nga. .de/ 71172

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted

2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed

#9 - 2021-04-08 07:28 - openqa_review
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: desktopapps-remote-desktop-xrdp-server2
https: nga. .de/ 77474

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted

2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed

#10 - 2021-04-23 05:17 - openqga_review
This is an autogenerated message for openQA integration by the openga_review script:

This bug is still referenced in a failing openQA test: desktopapps-remote-desktop-xrdp-server2@64bit_virtio
https: nga.open .or 1709312

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted

2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed

#11 - 2021-04-29 09:07 - GraceWang
- Status changed from New to In Progress

- Assignee changed from zcjia to GraceWang

Assign this ticket to myself.
https://openqa.suse.de/tests/5613458
progress.opensuse.org/users/29893
https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/12096
https://openqa.nue.suse.com/tests/5633614#step/windows_server_setup/2
https://openqa.suse.de/tests/5711728
https://openqa.suse.de/tests/5774740
https://openqa.opensuse.org/tests/1709312

#12 - 2021-04-30 05:58 - GraceWang
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

1/12428 has been merged.

PR https://github.com/i inst/ inst-distri-
Here are verification runs on osd and 0oo0.

SLE:

- desktopapps-remote-desktop-xrdp-client2@64bit-virtio-vga
- desktopapps-remote-desktop-xrdp-server2@64bit-virtio-vga
TW:

- desktopapps-remote-desktop-xrdp-client1@64bit_virtio

- desktopapps-remote-desktop-xrdp-server1@64bit_virtio

- desktopapps-remote-desktop-xrdp-client2@64bit_virtio

- desktopapps-remote-desktop-xrdp-server2@64bit_virtio

Files

Screenshot_20210222_144215.png 712 KB 2021-02-22
https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/12428
https://openqa.nue.suse.com/tests/5903954
https://openqa.nue.suse.com/tests/5903953
https://openqa.opensuse.org/tests/1719682
https://openqa.opensuse.org/tests/1719681
https://openqa.opensuse.org/tests/1719684
https://openqa.opensuse.org/tests/1719683
http://www.tcpdf.org

